/*
 * bsp_adc.h
 *
 *  Created on: 20241129
 *      Author: 123
 */

#ifndef __BSP_ADC_H__
#define __BSP_ADC_H__

#include "CONFIG.h"

// PA 2,3
#define ADC_VBAT_PIN                GPIO_Pin_5
#define ADC_COIL_PIN                GPIO_Pin_4

// channel
#define ADC_VBAT_CHANNEL            1
#define ADC_COIL_CHANNEL            0

#define VBAT_CHECK_EVT          (0x0001 << 0)

extern tmosTaskID adc_task_id;

#define VBAT_LOW_MV      3000  // صѹֵλmV

void BSP_ADC_Init(void);

uint16_t BSP_ReadVbat(void);

#endif /* __BSP_ADC_H__ */
